package com.bocloud.ims.service.model;

public class AbstractResource {

	private TenantQuotaInfo tenantQuotaInfo;
	private ComputerInfo computerInfo;
	private StorageInfo storageInfo;
	private FipInfo fipInfo;

	/**
	 * 
	 */
	public AbstractResource() {
		super();
	}

	/**
	 * @param tenantQuotaInfo
	 * @param computerInfo
	 * @param storageInfo
	 * @param fipInfo
	 */
	public AbstractResource(TenantQuotaInfo tenantQuotaInfo,
			ComputerInfo computerInfo, StorageInfo storageInfo, FipInfo fipInfo) {
		super();
		this.tenantQuotaInfo = tenantQuotaInfo;
		this.computerInfo = computerInfo;
		this.storageInfo = storageInfo;
		this.fipInfo = fipInfo;
	}

	/**
	 * @return the tenantQuotaInfo
	 */
	public TenantQuotaInfo getTenantQuotaInfo() {
		return tenantQuotaInfo;
	}

	/**
	 * @param tenantQuotaInfo
	 *            the tenantQuotaInfo to set
	 */
	public void setTenantQuotaInfo(TenantQuotaInfo tenantQuotaInfo) {
		this.tenantQuotaInfo = tenantQuotaInfo;
	}

	/**
	 * @return the computerInfo
	 */
	public ComputerInfo getComputerInfo() {
		return computerInfo;
	}

	/**
	 * @param computerInfo
	 *            the computerInfo to set
	 */
	public void setComputerInfo(ComputerInfo computerInfo) {
		this.computerInfo = computerInfo;
	}

	/**
	 * @return the storageInfo
	 */
	public StorageInfo getStorageInfo() {
		return storageInfo;
	}

	/**
	 * @param storageInfo
	 *            the storageInfo to set
	 */
	public void setStorageInfo(StorageInfo storageInfo) {
		this.storageInfo = storageInfo;
	}

	/**
	 * @return the fipInfo
	 */
	public FipInfo getFipInfo() {
		return fipInfo;
	}

	/**
	 * @param fipInfo
	 *            the fipInfo to set
	 */
	public void setFipInfo(FipInfo fipInfo) {
		this.fipInfo = fipInfo;
	}

}
